Skip to main content
GET
/
api
/
v1
/
auth
/
roles
/
{role_name}
Get role
curl --request GET \
  --url https://api.example.com/api/v1/auth/roles/{role_name} \
  --header 'Authorization: <api-key>'
{
  "created_at": "<string>",
  "description": "<string>",
  "name": "<string>",
  "scopes": [
    {
      "action": "<string>",
      "resource": "<string>"
    }
  ],
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Path Parameters

role_name
string
required

Role name

Response

OK

created_at
string
description
string
name
string
scopes
object[]
updated_at
string